Bug 58714 - KDE wipes out custom X resource settings.
KDE wipes out custom X resource settings.
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-23 12:57 EST by Terry Griffin
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 14:02:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry Griffin 2002-01-23 12:57:14 EST
Description of Problem:

I have an Autostart folder entry that invokes this command:

     xrdb -merge $HOME/.Xdefaults

for the purpose of setting up some personal X resources. Sometimes it takes, sometimes
it doesn't. It appears to be a timing issue related to when KDE sets up its own X resources.
Even in cases where my settings do "stick" initially, a couple of minutes later in my KDE
session they are lost again and I have to re-run the xrdb command. After this second execution
of xrdb, my resource settings usually stick for good.

Version-Release number of selected component (if applicable):

2.2-12

How Reproducible:

Create an Autostart folder entry that sets up some X resource using "xrdb -merge".
Log out and log in. Check to see if your custom resource is set using "xrdb -query".
(Sometimes it is, sometimes it isn't.) If it's not set, manually run the "xrdb -merge"
command again. Wait a few minutes and query the resources again.

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:

I keep loosing my personal X resource settings to KDE's twiddling of the resources.

Expected Results:

I want a way to make my personal X resource settings stick for the life of the KDE session.

Additional Information:
Comment 1 Terry Griffin 2002-02-22 18:09:10 EST
I have more data: For the scenario where resources are reset after a few  minutes, it only seems to happen when (A) I log in remotely via XDMCP (in my case from 
Reflection X running on NT4), and (B) when the login screen is managed by KDM. In other words, if I log in locally, there's no reset after a few  minutes. If I use XDM 
instead of KDM there's no reset after a few minutes. I've not tried GDM.

Even without the two-minute issue, there's still the problem of getting the custom resources set up initially. Putting the xrdb command in Autostart seems to work most 
of the time, but from time to time it doesn't take. This is independent of local or remote login and KDM vs. XDM.
Comment 2 Petr Rockai 2006-07-17 14:23:27 EDT
This bug is reported against old release of Red Hat Linux or Fedora Core 
that is no longer supported. Chances are that it has been already fixed in 
newer Fedora Core release. If you still experience the problem with 
current release of Fedora Core, please update the Version field (you may 
need to switch Product to Fedora Core first) in the bug report and put it 
back to NEW state.
Comment 3 Bill Nottingham 2006-10-18 14:02:56 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.